## org.eclipse.emf.ecore.sdo
Interface EChangeSummary

All Superinterfaces:
  ChangeDescription, ChangeSummary, EObject, Notifier

All Known Implementing Classes:
  EChangeSummaryImpl

    public interface EChangeSummary

extends ChangeDescription, ChangeSummary

A representation of the model object 'EChange Summary'.

The following features are supported:

- `EData Graph`

See Also:
  `SDOPackage.getEChangeSummary()`

Nested Class Summary

Nested classes/interfaces inherited from interface commonj.sdo.ChangeSummary
`ChangeSummary.Setting`

Method Summary
`EDataGraph` `getEDataGraph()` Returns the value of the 'EData Graph' reference.
`DataObject` `getOldContainer(DataObject dataObject)` Returns the value of the `container` data object at the point when logging `began`.
`Property` `getOldContainmentProperty(DataObject dataObject)` Returns the value of the `containment property` data object property at the point when logging `began`.
`ChangeSummary.Setting` `getOldValue(DataObject dataObject, Property property)` Returns a `setting` for the specified property representing the property value of the given `dataObject` at the point when logging `began`.
`boolean` `isChanged(DataObject dataObject)` Returns whether or not the specified data object was changed while `logging`.
`void` `resumeLogging()`
`void` `setEDataGraph(EDataGraph value)` Sets the value of the '`EData Graph`' reference
`void` `summarize()`

Methods inherited from interface org.eclipse.emf.ecore.change.ChangeDescription
`apply, applyAndReverse, getObjectChanges, getObjectsToAttach, getObjectsToDetach, getResourceChanges`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.ChangeSummary
`beginLogging, endLogging, getChangedDataObjects, getDataGraph, getOldValues, isCreated, isDeleted, isLogging`

Method Detail

### getEDataGraph

    EDataGraph getEDataGraph()

  Returns the value of the 'EData Graph' reference. It is bidirectional and its opposite is '`EChange Summary`'.

  Returns:
    the value of the 'EData Graph' reference.
  See Also:
    `setEDataGraph(EDataGraph)`, `SDOPackage.getEChangeSummary_EDataGraph()`, `EDataGraph.getEChangeSummary()`

### setEDataGraph

    void setEDataGraph(EDataGraph value)

  Sets the value of the '`EData Graph`' reference.

  Parameters:
    `value` - the new value of the 'EData Graph' reference.
  See Also:
    `getEDataGraph()`

### summarize

    void summarize()

### resumeLogging

    void resumeLogging()

### isChanged

    boolean isChanged(DataObject dataObject)

  Returns whether or not the specified data object was changed while `logging`. Any modified object that was `contained` in the data graph when logging began and remains in the graph when logging ends will be considered changed.

  Parameters:
    `dataObject` - the data object in question.
  Returns:
    `true` if the specified data object was changed.
  See Also:
    `ChangeSummary.getChangedDataObjects()`

### getOldValue

    ChangeSummary.Setting getOldValue(DataObject dataObject,
                                      Property property)

  Returns a `setting` for the specified property representing the property value of the given `dataObject` at the point when logging `began`.

  Returns null if the property has not changed and has not been `deleted`.

  Parameters:
    `dataObject` - the object in question.
    `property` - the property of the object.
  Returns:
    the setting for the specified property.
  See Also:
    `ChangeSummary.getChangedDataObjects()`

### getOldContainer

    DataObject getOldContainer(DataObject dataObject)

  Returns the value of the `container` data object at the point when logging `began`.

  Parameters:
    `dataObject` - the object in question.
  Returns:
    the old container data object.

### getOldContainmentProperty

    Property getOldContainmentProperty(DataObject dataObject)

  Returns the value of the `containment property` data object property at the point when logging `began`.

  Parameters:
    `dataObject` - the object in question.
  Returns:
    the old containment property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.